Skip to main content

Upload a file

POST 

/v1/files

Use this endpoint to upload user related files. When a file is uploaded, an id will be returned, which shall be used as a reference to a file in other user related endpoints, e.g. when creating or updating user or sending additional verification files. A validation, based on the file purpose and the MIME type is performed. The filename must be minimum 3 characters long and maximum 255 characters long. The filename cannot start with "." (dot). The file should have a minimum of 15 bytes, and a maximum of 200 megabytes.

proof_of_address should be use to upload files used as evidence of the permanent residential address of a natural person, such as:

  • Electricity or Water Bill
  • Other Authority Bill
  • Landline Bill
  • Lease Agreement
  • Bank or Credit Card Statement
  • Empower Bill Statement
  • Bank Reference Letter or Educational Institutions Reference Letters
  • Mortgage Agreement

The following combinations are permitted:

  • verification_report (application/pdf, application/json)
  • idcard_both_sides (image/bmp, image/x-ms-bmp, image/x-bmp, image/jpeg, image/png, image/heic, image/heif, application/pdf)
  • idcard_front (image/bmp, image/x-ms-bmp, image/x-bmp, image/jpeg, image/png, image/heic, image/heif, application/pdf)
  • idcard_back (image/bmp, image/x-ms-bmp, image/x-bmp, image/jpeg, image/png, image/heic, image/heif, application/pdf)
  • paper_id (image/bmp, image/x-ms-bmp, image/x-bmp, image/jpeg, image/png, image/heic, image/heif, application/pdf)
  • passport (image/bmp, image/x-ms-bmp, image/x-bmp, image/jpeg, image/png, image/heic, image/heif, application/pdf)
  • driving_licence (image/bmp, image/x-ms-bmp, image/x-bmp, image/jpeg, image/png, image/heic, image/heif, application/pdf)
  • residence_permit (image/bmp, image/x-ms-bmp, image/x-bmp, image/jpeg, image/png, image/heic, image/heif, application/pdf)
  • selfie_video (video/*)
  • proof_of_address (image/bmp, image/x-ms-bmp, image/x-bmp, image/jpeg, image/png, image/heic, image/heif, application/pdf)
  • other (application/pdf , image/bmp, image/x-ms-bmp, image/x-bmp, image/jpeg, image/png, image/heic, image/heif* , video/*)

Request

Responses

New file has been uploaded